package com.sample.jee;

import java.io.Serializable;
import java.sql.Timestamp;

import javax.naming.NamingException;
import javax.naming.Reference;
import javax.resource.Referenceable;
import javax.resource.ResourceException;
import javax.resource.spi.ActivationSpec;
import javax.resource.spi.BootstrapContext;
import javax.resource.spi.ResourceAdapter;
import javax.resource.spi.ResourceAdapterInternalException;
import javax.resource.spi.endpoint.MessageEndpointFactory;
import javax.transaction.xa.XAResource;

public class AResourceAdapter implements ResourceAdapter, Referenceable, Serializable {

  private static final long serialVersionUID = 1L;

  public void endpointActivation(MessageEndpointFactory endpointFactory, ActivationSpec spec)
    throws ResourceException
  {
    System.out.println("ra >> endpointActivation: " + new Timestamp(System.currentTimeMillis()));
  }

  public void endpointDeactivation(MessageEndpointFactory endpointFactory, ActivationSpec spec)
  {
    System.out.println("ra >> endpointDeactivation: " + new Timestamp(System.currentTimeMillis()));
  }

  public XAResource[] getXAResources(ActivationSpec[] specs) throws ResourceException
  {
    return null;
  }

  public void start(BootstrapContext ctx) throws ResourceAdapterInternalException
  {
    System.out.println("ra >> start: " + new Timestamp(System.currentTimeMillis()));
  }

  public void stop()
  {
    System.out.println("ra >> stop: " + new Timestamp(System.currentTimeMillis()));
  }

  public Reference getReference() throws NamingException
  {
    System.out.println("ra >> getReference: " + new Timestamp(System.currentTimeMillis()));
    return null;
  }

  public void setReference(Reference reference)
  {
    System.out.println("ra >> setReference: " + new Timestamp(System.currentTimeMillis()));
  }

}
